Bug 1008011 - On system with pulseaudio and Alsa, pressing pressing mute will mute sound, but unmute will not.
On system with pulseaudio and Alsa, pressing pressing mute will mute sound, b...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mate-settings-daemon (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-13 15:13 EDT by Joseph Ziff
Modified: 2013-10-03 22:05 EDT (History)
5 users (show)

See Also:
Fixed In Version: mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 21:51:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Ziff 2013-09-13 15:13:35 EDT
With a standard groupinstall of mate desktop on, for example, a laptop, XF86AudioMute button should be able to mute and unmute sound effectively. Unfortunately this does not seem to be the case if pulseaudio and an alsa frontend are install. Unmuting for me then does not seem to unmute the speaker channel. This is a known bug https://bugzilla.gnome.org/show_bug.cgi?id=677346 which will not be not fixed since gstreamer 0.10 is depreciated. Other distros compensate for this by building two different mate-settings-daemon packages, one built normally (mate-settings-daemon-gstreamer in ubuntu) and one built with alsa disabled (mate-settings-daemon-pulse), which apparently seems to fix things. Fedora however does not have this option available. One would have to instead recompile gstreamer packages manually, or drop in volumeicon to offload the volume controls from mate-settings-daemon.

Sorry if this isn't very detailed. I am not programming-literate, so to speak. I would be happy to fill in any other information.
Comment 1 Wolfgang Ulbrich 2013-09-22 12:02:37 EDT
New builds of mate-settings-daemon and mate-media comming soon.
Comment 2 Fedora Update System 2013-09-22 20:34:31 EDT
mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc19
Comment 3 Fedora Update System 2013-09-22 20:34:41 EDT
mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc18
Comment 4 Fedora Update System 2013-09-22 20:34:51 EDT
mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc20
Comment 5 Fedora Update System 2013-09-23 09:17:52 EDT
mate-media-1.6.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-media-1.6.0-4.fc19
Comment 6 Fedora Update System 2013-09-23 09:18:01 EDT
mate-media-1.6.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-media-1.6.0-4.fc18
Comment 7 Fedora Update System 2013-09-23 09:18:10 EDT
mate-media-1.6.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-media-1.6.0-4.fc20
Comment 8 Fedora Update System 2013-09-23 20:20:41 EDT
Package mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17406/mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc18
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-09-29 20:36:12 EDT
mate-media-1.6.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-09-29 20:47:37 EDT
mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-02 02:29:40 EDT
mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2013-10-02 02:30:37 EDT
mate-settings-daemon-1.6.2-0.1.gitd2d3aa7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-10-02 02:31:46 EDT
mate-media-1.6.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-10-02 02:53:47 EDT
mate-media-1.6.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Joseph Ziff 2013-10-02 17:54:19 EDT
I am having a hard time getting the update to now control ANYTHING via the media keys. Maybe I am missing some kind of configuration or installation is bugged. For me, even after starting/restarting mate-notification-daemon and mate-volume-control-applet, and setting resetting the keybindings I simply cannot get the applet to mute, unmute, raise volume, or lower volume. I also can't seem to find org.mate.panel.applet.mixer in dconf. Maybe that is related.
Comment 16 Wolfgang Ulbrich 2013-10-03 05:01:21 EDT
Sorry, my fault :(
A fixed build comming soon. It would be very helpful if you test a build directly before it is in stable repo. This is the sense of updates-testing repo.
Comment 17 Joseph Ziff 2013-10-03 05:03:17 EDT
By bad as well. I am so used to thinking as a consumer of Fedora instead of a contributor that I for some reason didn't think of that option.
Comment 18 Fedora Update System 2013-10-03 06:26:29 EDT
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc19
Comment 19 Fedora Update System 2013-10-03 06:26:39 EDT
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc18
Comment 20 Fedora Update System 2013-10-03 06:26:49 EDT
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc20
Comment 21 Joseph Ziff 2013-10-03 06:33:27 EDT
I can confirm that on Fedora 19 the latest build submitted to update works and fixes the issue.
Comment 22 Wolfgang Ulbrich 2013-10-03 06:38:01 EDT
Cool, thanks for reporting the issue and given quick feedback :)
Comment 23 Fedora Update System 2013-10-03 21:51:44 EDT
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2013-10-03 22:01:54 EDT
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2013-10-03 22:05:10 EDT
mate-settings-daemon-1.6.2-0.3.gitd2d3aa7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.